The API reference moved here from eksis.io/developers.
Webhooks

Get a webhook endpoint

GET
/v1/webhooks/{webhookId}

Needs a key with the admin role.

Authorization

headerAuthorizationBearer <token>

Send your key as Authorization: Bearer eksis_sk_....

Path Parameters

webhookId*string

Response Body

The endpoint.

application/json
  1. response
data?
curl -X GET 'https://api.eksis.io/v1/webhooks/string' \  -H 'Authorization: Bearer eksis_sk_...'
{  "data": {    "id": "string",    "url": "http://example.com",    "description": "string",    "events": [      "post.target.published"    ],    "status": "active",    "disabledReason": "manual",    "secretPrefix": "string",    "consecutiveFailures": 0,    "lastSuccessAt": "2019-08-24T14:15:22Z",    "lastFailureAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z"  }}